import { connect } from 'herculex';

Component(connect({
  mapStateToProps: {
    userInfo: state => state.$global.userInfo,
    scopes: state => state.$global.scopes,
  },
})({
  data: {
  },
  props: {
    componentData: {},
  },
  didMount() {
  },
  methods: {
    async goToLightMember(e = {}) {
      const { partnerId, templateId, isLogin } = e;
      console.log('轻会员 商户id 模版id===', partnerId, templateId, isLogin);
      const { userInfo = {} } = this.props;
      if (partnerId && templateId) {
        if (+isLogin === 1 && !userInfo.isLogin) {
          // 登录
          const isLoginSuccess = await this.dispatchGlobal('doLogin');
          if (!isLoginSuccess) return false;
        }
        if (+isLogin === 2) {
          // 登录 查看memberInfo中flag是否为true， 开通轻会员需要商户会员卡？？？这里需要配置cardTemplateId, 需要开通哪个会员。
          const res = await this.dispatch('customerCheck'); // 会员验证
          if (res === 'addCardFail') return false; // 开卡失败拦截
        }
        console.log(partnerId, templateId);
        my.navigateToMiniService({
          serviceId: '2019072365974237', // 插件id,固定值勿改
          servicePage: 'pages/hz-enjoy/main/index', // 插件页面地址,固定值勿改
          extraData: {
            'alipay.huabei.hz-enjoy.partnerId': partnerId, // 商户id, 必填, 需替换
            'alipay.huabei.hz-enjoy.templateId': templateId, // 轻会员模版id, 必填, 需替换
          },
          success: () => {
            // 插件打开成功回调
          },
          fail: (res) => {
            console.error('插件打开失败', res);
            // 插件打开失败回调
          },
        });
      }
    },
  },
}));
